NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Preferences::SessionSketch Class Reference

Represents the set of sketch preferences applicable to entire session
To obtain an instance of this class, refer to NXOpen::Preferences::SessionPreferences

Created in NX3.0.0. More...

Public Types

enum  BackgroundType { BackgroundTypeInherit, BackgroundTypePlain }
 Describes the available sketch background types. More...
 
enum  OriginType { OriginTypeInferFromPlaneSelection, OriginTypeProjectWorkPartOrigin }
 Describes the available sketch origin types. More...
 
enum  RigidSetConstraintType { RigidSetConstraintTypePreventConflict, RigidSetConstraintTypePreserveAll }
 Represents the constraint management option when creating a rigid sketch group. More...
 

Public Member Functions

bool AutoDimensionsToArcCenter ()
 Returns the flag of auto-dimensions to arc centre. More...
 
NXOpen::Preferences::SessionSketch::BackgroundType BackgroundOption ()
 Returns the background option
Created in NX5.0.0. More...
 
bool ChangeViewOrientation ()
 Returns the change view orientation flag. More...
 
double ConstraintSymbolSize ()
 Returns the constraint symbol size. More...
 
bool ContinuousAutoDimensioning ()
 Returns the continuous auto dimensioning state in sketch preferences. More...
 
bool CreateInferredConstraints ()
 Returns the create inferred constraints
Created in NX6.0.0. More...
 
NXString DefaultArcNamePrefix ()
 Returns the default arc name prefix
Created in NX3.0.0. More...
 
NXString DefaultConicNamePrefix ()
 Returns the default conic name prefix
Created in NX3.0.0. More...
 
NXString DefaultLineNamePrefix ()
 Returns the default line name prefix
Created in NX3.0.0. More...
 
NXString DefaultSketchNamePrefix ()
 Returns the default sketch name prefix
Created in NX3.0.0. More...
 
NXString DefaultSplineNamePrefix ()
 Returns the default spline name prefix
Created in NX3.0.0. More...
 
NXString DefaultVertexNamePrefix ()
 Returns the default vertex name prefix
Created in NX3.0.0. More...
 
bool DelayEvaluation ()
 Returns the delay evaluation preference. More...
 
NXOpen::Preferences::SketchPreferences::DimensionLabelType DimensionLabel ()
 Returns the dimension label
Created in NX3.0.0. More...
 
bool DisplayConstraintSymbols ()
 Returns the display constraint symbols preference
Created in NX8.5.0. More...
 
bool DisplayDOFArrows ()
 Returns the displays DOF arrows flag. More...
 
bool DisplayObjectColor ()
 Returns the display object color
Created in NX6.0.0. More...
 
bool DisplayObjectName ()
 Returns the display object name
Created in NX9.0.0. More...
 
bool DisplaySectionMappingWarning ()
 Returns the display section mapping warning flag. More...
 
bool DynamicConstraintDisplay ()
 Returns the dynamic constraints display flag. More...
 
double FixedTextSize ()
 Returns the dimension text size when the text size fixed flag is set. More...
 
bool MaintainBlankStatus ()
 Returns the maintain blank status flag. More...
 
bool MaintainLayerStatus ()
 Returns the maintain layer status flag. More...
 
NXOpen::Preferences::SessionSketch::OriginType OriginOption ()
 Returns the origin option
More...
 
bool RetainDimensions ()
 Returns the retain dimensions flag. More...
 
NXOpen::Preferences::SessionSketch::RigidSetConstraintType RigidSetConstraintOption ()
 Returns the rigid set external constraint management option
Created in NX9.0.0. More...
 
void SetAutoDimensionsToArcCenter (bool toArcCenter)
 Sets the flag of auto-dimensions to arc centre. More...
 
void SetBackgroundOption (NXOpen::Preferences::SessionSketch::BackgroundType backgroundType)
 Sets the background option
Created in NX5.0.0. More...
 
void SetChangeViewOrientation (bool changeViewOrientation)
 Sets the change view orientation flag. More...
 
void SetConstraintSymbolSize (double constraintSymbolSize)
 Sets the constraint symbol size. More...
 
void SetContinuousAutoDimensioning (bool continAutoDim)
 Sets the continuous auto dimensioning state in sketch preferences. More...
 
void SetCreateInferredConstraints (bool createInferredConstraints)
 Sets the create inferred constraints
Created in NX6.0.0. More...
 
void SetDefaultArcNamePrefix (const NXString &defaultArcNamePrefix)
 Sets the default arc name prefix
Created in NX3.0.0. More...
 
void SetDefaultArcNamePrefix (const char *defaultArcNamePrefix)
 Sets the default arc name prefix
Created in NX3.0.0. More...
 
void SetDefaultConicNamePrefix (const NXString &defaultConicNamePrefix)
 Sets the default conic name prefix
Created in NX3.0.0. More...
 
void SetDefaultConicNamePrefix (const char *defaultConicNamePrefix)
 Sets the default conic name prefix
Created in NX3.0.0. More...
 
void SetDefaultLineNamePrefix (const NXString &defaultLineNamePrefix)
 Sets the default line name prefix
Created in NX3.0.0. More...
 
void SetDefaultLineNamePrefix (const char *defaultLineNamePrefix)
 Sets the default line name prefix
Created in NX3.0.0. More...
 
void SetDefaultSketchNamePrefix (const NXString &defaultSketchNamePrefix)
 Sets the default sketch name prefix
Created in NX3.0.0. More...
 
void SetDefaultSketchNamePrefix (const char *defaultSketchNamePrefix)
 Sets the default sketch name prefix
Created in NX3.0.0. More...
 
void SetDefaultSplineNamePrefix (const NXString &defaultSplineNamePrefix)
 Sets the default spline name prefix
Created in NX3.0.0. More...
 
void SetDefaultSplineNamePrefix (const char *defaultSplineNamePrefix)
 Sets the default spline name prefix
Created in NX3.0.0. More...
 
void SetDefaultVertexNamePrefix (const NXString &defaultVertexNamePrefix)
 Sets the default vertex name prefix
Created in NX3.0.0. More...
 
void SetDefaultVertexNamePrefix (const char *defaultVertexNamePrefix)
 Sets the default vertex name prefix
Created in NX3.0.0. More...
 
void SetDelayEvaluation (bool delayEvaluation)
 Sets the delay evaluation preference. More...
 
void SetDimensionLabel (NXOpen::Preferences::SketchPreferences::DimensionLabelType dimensionLabel)
 Sets the dimension label
Created in NX3.0.0. More...
 
void SetDisplayConstraintSymbols (bool displayConstraintSymbols)
 Sets the display constraint symbols preference
Created in NX8.5.0. More...
 
void SetDisplayDOFArrows (bool displayDOFArrows)
 Sets the displays DOF arrows flag. More...
 
void SetDisplayObjectColor (bool displayObjColor)
 Sets the display object color
Created in NX6.0.0. More...
 
void SetDisplayObjectName (bool displayObjectName)
 Sets the display object name
Created in NX9.0.0. More...
 
void SetDisplaySectionMappingWarning (bool displaySectionMappingWarning)
 Sets the display section mapping warning flag. More...
 
void SetDynamicConstraintDisplay (bool dynamicConstraintDisplay)
 Sets the dynamic constraints display flag. More...
 
void SetFixedTextSize (double fixedTextSize)
 Sets the dimension text size when the text size fixed flag is set. More...
 
void SetMaintainBlankStatus (bool keepBlank)
 Sets the maintain blank status flag. More...
 
void SetMaintainLayerStatus (bool maintainLayerStatus)
 Sets the maintain layer status flag. More...
 
void SetOriginOption (NXOpen::Preferences::SessionSketch::OriginType originType)
 Sets the origin option
More...
 
void SetRetainDimensions (bool retainDimensions)
 Sets the retain dimensions flag. More...
 
void SetRigidSetConstraintOption (NXOpen::Preferences::SessionSketch::RigidSetConstraintType constraintType)
 Sets the rigid set external constraint management option
Created in NX9.0.0. More...
 
void SetSnapAngle (double snapAngle)
 Sets the snap angle. More...
 
void SetSolvingTolerance (double tolerance)
 Sets the sketch solving tolerance. More...
 
void SetTextSizeFixed (bool textSizeFixed)
 Sets the text size fixed flag. More...
 
void SetUpdateSketchOnly (bool delayModelUpdate)
 Sets the update sketch only preference. More...
 
void SetUseSolvingTolerance (bool useTolerance)
 Sets the sketch solving tolerance flag. More...
 
double SnapAngle ()
 Returns the snap angle. More...
 
double SolvingTolerance ()
 Returns the sketch solving tolerance. More...
 
tag_t Tag () const
 Returns the tag of this object. More...
 
bool TextSizeFixed ()
 Returns the text size fixed flag. More...
 
bool UpdateSketchOnly ()
 Returns the update sketch only preference. More...
 
bool UseSolvingTolerance ()
 Returns the sketch solving tolerance flag. More...
 

Detailed Description

Represents the set of sketch preferences applicable to entire session
To obtain an instance of this class, refer to NXOpen::Preferences::SessionPreferences

Created in NX3.0.0.


Member Enumeration Documentation

Describes the available sketch background types.

Enumerator
BackgroundTypeInherit 

Sketch background color is inherited from the parent application.

BackgroundTypePlain 

Sketch background color is forced to the plain background color.

Describes the available sketch origin types.

Enumerator
OriginTypeInferFromPlaneSelection 

Sketch origin is inferred from placement face.

OriginTypeProjectWorkPartOrigin 

Sketch origin is the projection of the work part origin.

Represents the constraint management option when creating a rigid sketch group.

Enumerator
RigidSetConstraintTypePreventConflict 

Preserves external constraints and prevents new conflicts.

RigidSetConstraintTypePreserveAll 

Preserves all external constraints.

Member Function Documentation

bool NXOpen::Preferences::SessionSketch::AutoDimensionsToArcCenter ( )

Returns the flag of auto-dimensions to arc centre.

If it is set to true, then we will infer auto-dimensions to arc centre when running auto-dimension
Created in NX7.5.0.

License requirements : None

NXOpen::Preferences::SessionSketch::BackgroundType NXOpen::Preferences::SessionSketch::BackgroundOption ( )

Returns the background option
Created in NX5.0.0.



License requirements : None

bool NXOpen::Preferences::SessionSketch::ChangeViewOrientation ( )

Returns the change view orientation flag.

If true, when a sketch is activated, the view will be changed to align with the sketch
Created in NX3.0.0.

License requirements : None

double NXOpen::Preferences::SessionSketch::ConstraintSymbolSize ( )

Returns the constraint symbol size.


Created in NX8.5.0.

License requirements : None

bool NXOpen::Preferences::SessionSketch::ContinuousAutoDimensioning ( )

Returns the continuous auto dimensioning state in sketch preferences.

Newly created sketch gets continuous auto dimensioning state from sketch preference.
Created in NX7.5.0.

License requirements : None

bool NXOpen::Preferences::SessionSketch::CreateInferredConstraints ( )

Returns the create inferred constraints
Created in NX6.0.0.



License requirements : None

NXString NXOpen::Preferences::SessionSketch::DefaultArcNamePrefix ( )

Returns the default arc name prefix
Created in NX3.0.0.



License requirements : None

NXString NXOpen::Preferences::SessionSketch::DefaultConicNamePrefix ( )

Returns the default conic name prefix
Created in NX3.0.0.



License requirements : None

NXString NXOpen::Preferences::SessionSketch::DefaultLineNamePrefix ( )

Returns the default line name prefix
Created in NX3.0.0.



License requirements : None

NXString NXOpen::Preferences::SessionSketch::DefaultSketchNamePrefix ( )

Returns the default sketch name prefix
Created in NX3.0.0.



License requirements : None

NXString NXOpen::Preferences::SessionSketch::DefaultSplineNamePrefix ( )

Returns the default spline name prefix
Created in NX3.0.0.



License requirements : None

NXString NXOpen::Preferences::SessionSketch::DefaultVertexNamePrefix ( )

Returns the default vertex name prefix
Created in NX3.0.0.



License requirements : None

bool NXOpen::Preferences::SessionSketch::DelayEvaluation ( )

Returns the delay evaluation preference.

This preference is used in the UI to indicate whether the sketch should be evaluated when a constraint is added to the sketch.
Created in NX3.0.0.

License requirements : None

NXOpen::Preferences::SketchPreferences::DimensionLabelType NXOpen::Preferences::SessionSketch::DimensionLabel ( )

Returns the dimension label
Created in NX3.0.0.



License requirements : None

bool NXOpen::Preferences::SessionSketch::DisplayConstraintSymbols ( )

Returns the display constraint symbols preference
Created in NX8.5.0.



License requirements : None

bool NXOpen::Preferences::SessionSketch::DisplayDOFArrows ( )

Returns the displays DOF arrows flag.

Controls the display of the degree of freedom arrows. When this flag is set as False, the display of the arrows is turned OFF.
Created in NX3.0.0.

License requirements : None

bool NXOpen::Preferences::SessionSketch::DisplayObjectColor ( )

Returns the display object color
Created in NX6.0.0.



License requirements : None

bool NXOpen::Preferences::SessionSketch::DisplayObjectName ( )

Returns the display object name
Created in NX9.0.0.



License requirements : None

bool NXOpen::Preferences::SessionSketch::DisplaySectionMappingWarning ( )

Returns the display section mapping warning flag.

If this is true, when user exits sketcher, would get a warning that some dependent feature section may require mapping
Created in NX7.5.0.

License requirements : None

bool NXOpen::Preferences::SessionSketch::DynamicConstraintDisplay ( )

Returns the dynamic constraints display flag.

If it is True, constraint symbols do not display if the associated geometry is very small.
Created in NX3.0.0.

License requirements : None

double NXOpen::Preferences::SessionSketch::FixedTextSize ( )

Returns the dimension text size when the text size fixed flag is set.


Created in NX6.0.0.

License requirements : None

bool NXOpen::Preferences::SessionSketch::MaintainBlankStatus ( )

Returns the maintain blank status flag.

If true, when a sketch is activated, previously blanked objects will not be visible
Created in NX6.0.0.

License requirements : None

bool NXOpen::Preferences::SessionSketch::MaintainLayerStatus ( )

Returns the maintain layer status flag.

Controls whether the work layer remains the same or returns to its previous value when a sketch is deactivated.
Created in NX3.0.0.

License requirements : None

NXOpen::Preferences::SessionSketch::OriginType NXOpen::Preferences::SessionSketch::OriginOption ( )

Returns the origin option

Deprecated:
Deprecated in NX8.0.0.

Use SketchInPlaceBuilder::SetProjectWorkPartOrigin and SketchInPlaceBuilder::SetMakeOriginAssociative and SketchInPlaceBuilder::SetSketchOrigin instead.


Created in NX5.0.0.

License requirements : None

bool NXOpen::Preferences::SessionSketch::RetainDimensions ( )

Returns the retain dimensions flag.

If it is True, sketch dimensions continue to display after a sketch is deactivated.

Deprecated:
Deprecated in NX8.0.1. Use Annotations::AnnotationManager::MakePmi and Annotations::AnnotationManager::RemovePmi with individual dimensions instead.


Created in NX3.0.0.

License requirements : None

NXOpen::Preferences::SessionSketch::RigidSetConstraintType NXOpen::Preferences::SessionSketch::RigidSetConstraintOption ( )

Returns the rigid set external constraint management option
Created in NX9.0.0.



License requirements : None

void NXOpen::Preferences::SessionSketch::SetAutoDimensionsToArcCenter ( bool  toArcCenter)

Sets the flag of auto-dimensions to arc centre.

If it is set to true, then we will infer auto-dimensions to arc centre when running auto-dimension
Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
toArcCentertoarccenter
void NXOpen::Preferences::SessionSketch::SetBackgroundOption ( NXOpen::Preferences::SessionSketch::BackgroundType  backgroundType)

Sets the background option
Created in NX5.0.0.



License requirements : None

Parameters
backgroundTypebackground type
void NXOpen::Preferences::SessionSketch::SetChangeViewOrientation ( bool  changeViewOrientation)

Sets the change view orientation flag.

If true, when a sketch is activated, the view will be changed to align with the sketch
Created in NX3.0.0.

License requirements : None

Parameters
changeViewOrientationchange view orientation
void NXOpen::Preferences::SessionSketch::SetConstraintSymbolSize ( double  constraintSymbolSize)

Sets the constraint symbol size.


Created in NX8.5.0.

License requirements : None

Parameters
constraintSymbolSizeconstraint symbol size
void NXOpen::Preferences::SessionSketch::SetContinuousAutoDimensioning ( bool  continAutoDim)

Sets the continuous auto dimensioning state in sketch preferences.

Newly created sketch gets continuous auto dimensioning state from sketch preference.
Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
continAutoDimcontin auto dim
void NXOpen::Preferences::SessionSketch::SetCreateInferredConstraints ( bool  createInferredConstraints)

Sets the create inferred constraints
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
createInferredConstraintscreate inferred constraints
void NXOpen::Preferences::SessionSketch::SetDefaultArcNamePrefix ( const NXString defaultArcNamePrefix)

Sets the default arc name prefix
Created in NX3.0.0.



License requirements : None

Parameters
defaultArcNamePrefixdefault arc name prefix
void NXOpen::Preferences::SessionSketch::SetDefaultArcNamePrefix ( const char *  defaultArcNamePrefix)

Sets the default arc name prefix
Created in NX3.0.0.



License requirements : None

Parameters
defaultArcNamePrefixdefault arc name prefix
void NXOpen::Preferences::SessionSketch::SetDefaultConicNamePrefix ( const NXString defaultConicNamePrefix)

Sets the default conic name prefix
Created in NX3.0.0.



License requirements : None

Parameters
defaultConicNamePrefixdefault conic name prefix
void NXOpen::Preferences::SessionSketch::SetDefaultConicNamePrefix ( const char *  defaultConicNamePrefix)

Sets the default conic name prefix
Created in NX3.0.0.



License requirements : None

Parameters
defaultConicNamePrefixdefault conic name prefix
void NXOpen::Preferences::SessionSketch::SetDefaultLineNamePrefix ( const NXString defaultLineNamePrefix)

Sets the default line name prefix
Created in NX3.0.0.



License requirements : None

Parameters
defaultLineNamePrefixdefault line name prefix
void NXOpen::Preferences::SessionSketch::SetDefaultLineNamePrefix ( const char *  defaultLineNamePrefix)

Sets the default line name prefix
Created in NX3.0.0.



License requirements : None

Parameters
defaultLineNamePrefixdefault line name prefix
void NXOpen::Preferences::SessionSketch::SetDefaultSketchNamePrefix ( const NXString defaultSketchNamePrefix)

Sets the default sketch name prefix
Created in NX3.0.0.



License requirements : None

Parameters
defaultSketchNamePrefixdefault sketch name prefix
void NXOpen::Preferences::SessionSketch::SetDefaultSketchNamePrefix ( const char *  defaultSketchNamePrefix)

Sets the default sketch name prefix
Created in NX3.0.0.



License requirements : None

Parameters
defaultSketchNamePrefixdefault sketch name prefix
void NXOpen::Preferences::SessionSketch::SetDefaultSplineNamePrefix ( const NXString defaultSplineNamePrefix)

Sets the default spline name prefix
Created in NX3.0.0.



License requirements : None

Parameters
defaultSplineNamePrefixdefault spline name prefix
void NXOpen::Preferences::SessionSketch::SetDefaultSplineNamePrefix ( const char *  defaultSplineNamePrefix)

Sets the default spline name prefix
Created in NX3.0.0.



License requirements : None

Parameters
defaultSplineNamePrefixdefault spline name prefix
void NXOpen::Preferences::SessionSketch::SetDefaultVertexNamePrefix ( const NXString defaultVertexNamePrefix)

Sets the default vertex name prefix
Created in NX3.0.0.



License requirements : None

Parameters
defaultVertexNamePrefixdefault vertex name prefix
void NXOpen::Preferences::SessionSketch::SetDefaultVertexNamePrefix ( const char *  defaultVertexNamePrefix)

Sets the default vertex name prefix
Created in NX3.0.0.



License requirements : None

Parameters
defaultVertexNamePrefixdefault vertex name prefix
void NXOpen::Preferences::SessionSketch::SetDelayEvaluation ( bool  delayEvaluation)

Sets the delay evaluation preference.

This preference is used in the UI to indicate whether the sketch should be evaluated when a constraint is added to the sketch.
Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
delayEvaluationdelay evaluation
void NXOpen::Preferences::SessionSketch::SetDimensionLabel ( NXOpen::Preferences::SketchPreferences::DimensionLabelType  dimensionLabel)

Sets the dimension label
Created in NX3.0.0.



License requirements : None

Parameters
dimensionLabeldimension label
void NXOpen::Preferences::SessionSketch::SetDisplayConstraintSymbols ( bool  displayConstraintSymbols)

Sets the display constraint symbols preference
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
displayConstraintSymbolsdisplay constraint symbols
void NXOpen::Preferences::SessionSketch::SetDisplayDOFArrows ( bool  displayDOFArrows)

Sets the displays DOF arrows flag.

Controls the display of the degree of freedom arrows. When this flag is set as False, the display of the arrows is turned OFF.
Created in NX3.0.0.

License requirements : None

Parameters
displayDOFArrowsdisplay d o f arrows
void NXOpen::Preferences::SessionSketch::SetDisplayObjectColor ( bool  displayObjColor)

Sets the display object color
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
displayObjColordisplay obj color
void NXOpen::Preferences::SessionSketch::SetDisplayObjectName ( bool  displayObjectName)

Sets the display object name
Created in NX9.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
displayObjectNamedisplayobjectname
void NXOpen::Preferences::SessionSketch::SetDisplaySectionMappingWarning ( bool  displaySectionMappingWarning)

Sets the display section mapping warning flag.

If this is true, when user exits sketcher, would get a warning that some dependent feature section may require mapping
Created in NX7.5.0.

License requirements : None

Parameters
displaySectionMappingWarningdisplaysectionmappingwarning
void NXOpen::Preferences::SessionSketch::SetDynamicConstraintDisplay ( bool  dynamicConstraintDisplay)

Sets the dynamic constraints display flag.

If it is True, constraint symbols do not display if the associated geometry is very small.
Created in NX3.0.0.

License requirements : None

Parameters
dynamicConstraintDisplaydynamic constraint display
void NXOpen::Preferences::SessionSketch::SetFixedTextSize ( double  fixedTextSize)

Sets the dimension text size when the text size fixed flag is set.


Created in NX6.0.0.

License requirements : None

Parameters
fixedTextSizefixed text size
void NXOpen::Preferences::SessionSketch::SetMaintainBlankStatus ( bool  keepBlank)

Sets the maintain blank status flag.

If true, when a sketch is activated, previously blanked objects will not be visible
Created in NX6.0.0.

License requirements : None

Parameters
keepBlankkeep blank
void NXOpen::Preferences::SessionSketch::SetMaintainLayerStatus ( bool  maintainLayerStatus)

Sets the maintain layer status flag.

Controls whether the work layer remains the same or returns to its previous value when a sketch is deactivated.
Created in NX3.0.0.

License requirements : None

Parameters
maintainLayerStatusmaintain layer status
void NXOpen::Preferences::SessionSketch::SetOriginOption ( NXOpen::Preferences::SessionSketch::OriginType  originType)

Sets the origin option

Deprecated:
Deprecated in NX8.0.0.

Use SketchInPlaceBuilder::SetProjectWorkPartOrigin and SketchInPlaceBuilder::SetMakeOriginAssociative and SketchInPlaceBuilder::SetSketchOrigin instead.


Created in NX5.0.0.

License requirements : None

Parameters
originTypeorigin type
void NXOpen::Preferences::SessionSketch::SetRetainDimensions ( bool  retainDimensions)

Sets the retain dimensions flag.

If it is True, sketch dimensions continue to display after a sketch is deactivated.

Deprecated:
Deprecated in NX8.0.1. Use Annotations::AnnotationManager::MakePmi and Annotations::AnnotationManager::RemovePmi with individual dimensions instead.


Created in NX3.0.0.

License requirements : None

Parameters
retainDimensionsretain dimensions
void NXOpen::Preferences::SessionSketch::SetRigidSetConstraintOption ( NXOpen::Preferences::SessionSketch::RigidSetConstraintType  constraintType)

Sets the rigid set external constraint management option
Created in NX9.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
constraintTypeconstrainttype
void NXOpen::Preferences::SessionSketch::SetSnapAngle ( double  snapAngle)

Sets the snap angle.

This is snap angle tolerance for vertical, horizontal, parallel, and perpendicular lines.The default value is 3 and maximum value is 20
Created in NX3.0.0.

License requirements : None

Parameters
snapAnglesnap angle
void NXOpen::Preferences::SessionSketch::SetSolvingTolerance ( double  tolerance)

Sets the sketch solving tolerance.

This specifies the maximum allowable distance when solving the sketch constraints. The tolerance value must be greater than 1e-08.
Created in NX8.5.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
tolerancetolerance
void NXOpen::Preferences::SessionSketch::SetTextSizeFixed ( bool  textSizeFixed)

Sets the text size fixed flag.

If it is True, text size adjusts opposite of zoom scale so that dimensions appear a constant size.
Created in NX4.0.0.

License requirements : None

Parameters
textSizeFixedtext size fixed
void NXOpen::Preferences::SessionSketch::SetUpdateSketchOnly ( bool  delayModelUpdate)

Sets the update sketch only preference.

This preference is used to indicate whether only the sketch should be updated while sketching using Direct Sketch. When this preference is set to false, an update will propagate through the whole model
Created in NX8.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
delayModelUpdatedelay model update
void NXOpen::Preferences::SessionSketch::SetUseSolvingTolerance ( bool  useTolerance)

Sets the sketch solving tolerance flag.

Controls whether to use user input for sketch tolerance
Created in NX8.5.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
useToleranceusetolerance
double NXOpen::Preferences::SessionSketch::SnapAngle ( )

Returns the snap angle.

This is snap angle tolerance for vertical, horizontal, parallel, and perpendicular lines.The default value is 3 and maximum value is 20
Created in NX3.0.0.

License requirements : None

double NXOpen::Preferences::SessionSketch::SolvingTolerance ( )

Returns the sketch solving tolerance.

This specifies the maximum allowable distance when solving the sketch constraints. The tolerance value must be greater than 1e-08.
Created in NX8.5.0.

License requirements : None

tag_t NXOpen::Preferences::SessionSketch::Tag ( ) const

Returns the tag of this object.

bool NXOpen::Preferences::SessionSketch::TextSizeFixed ( )

Returns the text size fixed flag.

If it is True, text size adjusts opposite of zoom scale so that dimensions appear a constant size.
Created in NX4.0.0.

License requirements : None

bool NXOpen::Preferences::SessionSketch::UpdateSketchOnly ( )

Returns the update sketch only preference.

This preference is used to indicate whether only the sketch should be updated while sketching using Direct Sketch. When this preference is set to false, an update will propagate through the whole model
Created in NX8.0.0.

License requirements : None

bool NXOpen::Preferences::SessionSketch::UseSolvingTolerance ( )

Returns the sketch solving tolerance flag.

Controls whether to use user input for sketch tolerance
Created in NX8.5.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2012 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.